Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public static class

# Moment.Builder

extends Object

java.lang.Object
↳ | com.google.android.gms.plus.model.moments.Moment.Builder

## Summary

Public Constructors
| Moment.Builder() Constructs a new Builder.

Public Methods
Moment | build() Constructs a Moment with the current properties.
Moment.Builder | setId(String id) The moment ID.
Moment.Builder | setResult(ItemScope result) The object generated by performing the action on the target.
Moment.Builder | setStartDate(String startDate) Time stamp of when the action occurred in RFC3339 format.
Moment.Builder | setTarget(ItemScope target) The object on which the action was performed.
Moment.Builder | setType(String type) The Google schema for the type of moment to write.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public Moment.Builder ()

Constructs a new Builder.

## Public Methods

#### public Moment build ()

Constructs a Moment with the current properties.

#### public Moment.Builder setId (String id)

The moment ID.

#### public Moment.Builder setResult (ItemScope result)

The object generated by performing the action on the target. For example, a user writes a review of a restaurant, the target is the restaurant and the result is the review.

#### public Moment.Builder setStartDate (String startDate)

Time stamp of when the action occurred in RFC3339 format.

#### public Moment.Builder setTarget (ItemScope target)

The object on which the action was performed.

#### public Moment.Builder setType (String type)

The Google schema for the type of moment to write. For example, http://schemas.google.com/AddActivity.